package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the relationship between users and devices.
 */
public class DEPDeviceUser implements Serializable {

    private static final long serialVersionUID = 419811635670912679L;

    public String[] getSerial() {
        return serial;
    }

    public void setSerial(String[] serial) {
        this.serial = serial;
    }

    @ApiModelProperty(
            name = "serial",
            value = "Set of serial numbers belongs to the user",
            required = true)
    private String[] serial;

    @ApiModelProperty(
            name = "username",
            value = "Username of the owner of the devices",
            required = true)
    private String username;

    @ApiModelProperty(
            name = "requireBasicAuth",
            value = "Whether basic auth is required.",
            required = true)
    private boolean requireBasicAuth;

    @ApiModelProperty(
            name = "requireAgentInstall",
            value = "Whether agent install required.",
            required = true)
    private boolean requireAgentInstall;

    public boolean getRequireAgentInstall() {
        return requireAgentInstall;
    }

    public void setRequireAgentInstall(boolean requireAgentInstall) {
        this.requireAgentInstall = requireAgentInstall;
    }

    public boolean getRequireBasicAuth() {
        return requireBasicAuth;
    }

    public void setRequireBasicAuth(boolean requireBasicAuth) {
        this.requireBasicAuth = requireBasicAuth;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

}
